//Datei: ds1821.H
// Pindefinitionen fr den PIC
//
// Holger Klabunde
// Copyright 2000
// 14.07.2001
// Compiler CC5x
// hk@holger-klabunde.de
// http://www.holger-klabunde.de

//Def's fr RS232
#define TX	  GP2

#define DQ	  GP1     //Datenleitung vom DS1821
#define DQT       GP0     //Datenleitung zum DS1821


//Befehle fr den DS1821
#define READTEMP	0xAA	//Temperatur lesen
#define WRITEHIGH	0x01	//Einschalttemperatur schreiben
#define WRITELOW	0x02	//Ausschalttemperatur schreiben
#define READHIGH	0xA1	//Einschalttemperatur lesen
#define READLOW		0xA2	//Ausschalttemperatur lesen
#define WRITESTATUS	0x0C	//Statusregister schreiben
#define READSTATUS	0xAC	//Statusregister lesen
#define STARTCONV	0xEE	//Messung starten
#define STOPCONV	0x22	//Messung abbrechen
#define READCOUNT	0xA0	//interne Zhler lesen
#define LOADREM		0x41    //Zweites Register laden

