// Datei: serial.c
// Serielle Datenbertragung
//
// Holger Klabunde 
// 14.07.2001
// Compiler CC5x

#include "prozess.h"      /* Der verwendete Prozessor */
#include "protos.h"

//9600Baud ,8 Bit ,kein Parity, 1 Stopbit
//Bei 9600 Baud braucht ein Bit 104us
//Achtung: am PIC hngt kein MAX232 oder sowas.
//Alle Bits invertiert senden,empfangen !!!

//Eigentlich mte BITTIME 26 fr 104us sein
//Aufgrund des Programmoverheads ist sie aber kleiner
//Bei mir ging es mit BITTIME=19 und 20. Grer oder kleiner nicht !

#define BITTIME		20 		//Zeit beim senden
//#define BITTIME		19 		//Zeit beim senden
#define BAUD96  	BITTIME	        //Zhlwert fr TMR0 bei ganzem Bit

//######################
//Ein Datenbyte senden
//######################
void Transmit(unsigned char dat)
{
 by=dat; 

//Startbit senden
 TX=1; //Invertiert !
 TMR0=0;
 while(TMR0<BAUD96); //Zeit abwarten

 for(i=0; i<8; i++) //8 Bits senden
  {
   RRF(by,1);
   if(Carry)    TX=0;  //Eine 1. Invertiert !
   else         TX=1;  //Eine 0. Invertiert !
   TMR0=0;
   while(TMR0<BAUD96); //Zeit abwarten
  }

//Stopbit senden
 TX=0; //Invertiert !
 TMR0=0;
 while(TMR0<BAUD96); //Zeit abwarten
}
